{
  "name": "cah-server",
  "version": "1.0.0",
  "description": "Server for playing Cards Agains Humanity with phone clients",
  "scripts": {
    "start": "npm run serve",
    "build": "npm run build:backend && npm run build:frontend && npm run lint",
    "build:backend": "npm run build-ts",
    "build:frontend": "webpack",
    "serve": "node dist/server.js",
    "watch-node": "nodemon dist/server.js",
    "watch": "concurrently -k -p \"[{name}]\" -n \"Sass,TypeScript,Node\" -c \"yellow.bold,cyan.bold,green.bold\" \"npm run watch-sass\" \"npm run watch-ts\" \"npm run watch-node\"",
    "test": "jest --forceexit --coverage --verbose",
    "watch-test": "npm run test -- --watchAll",
    "build-ts": "tsc",
    "watch-ts": "tsc -w",
    "lint": "tsc --noEmit && eslint \"**/*.{js,ts}\" --quiet --fix",
    "debug": "npm run build && npm run watch-debug",
    "serve-debug": "nodemon --inspect dist/server.js",
    "watch-debug": "concurrently -k -p \"[{name}]\" -n \"Sass,TypeScript,Node\" -c \"yellow.bold,cyan.bold,green.bold\" \"npm run watch-ts\" \"npm run serve-debug\""
  },
  "dependencies": {
    "@material-ui/core": "^4.7.0",
    "@material-ui/lab": "4.0.0-alpha.33",
    "axios": "^0.19.0",
    "ejs": "3.0.1",
    "express": "4.17.1",
    "mongoose": "^5.7.1",
    "react": "^16.12.0",
    "react-dom": "^16.12.0",
    "react-router-dom": "^5.1.2",
    "socket.io": "2.3.0"
  },
  "devDependencies": {
    "@babel/core": "^7.7.4",
    "@babel/preset-env": "^7.7.4",
    "@babel/preset-react": "^7.7.4",
    "@types/concurrently": "^4.1.0",
    "@types/eslint": "4.16.1",
    "@types/express": "4.11.1",
    "@types/jest": "22.2.3",
    "@types/lodash": "4.14.108",
    "@types/mongoose": "^5.5.18",
    "@types/node": "12.12.2",
    "@types/react": "^16.9.13",
    "@types/react-dom": "^16.9.4",
    "@types/react-router-dom": "^5.1.3",
    "@types/socket.io": "1.4.33",
    "@typescript-eslint/eslint-plugin": "2.8.0",
    "@typescript-eslint/parser": "2.8.0",
    "babel-loader": "^8.0.6",
    "concurrently": "5.0.0",
    "css-loader": "^3.2.0",
    "eslint": "6.6.0",
    "fp-ts": "2.1.2",
    "jest": "24.9.0",
    "lodash": "4.17.15",
    "nodemon": "2.0.0",
    "source-map-loader": "^0.2.4",
    "style-loader": "^1.0.0",
    "ts-jest": "24.1.0",
    "ts-loader": "^6.2.1",
    "ts-node": "8.5.2",
    "typescript": "3.6.3",
    "webpack": "^4.41.2",
    "webpack-cli": "^3.3.10"
  },
  "author": "",
  "license": "ISC"
}
